
Application: gvSIG desktop - gvSIG bugs #4760
Error en el panel de Añadir capa al no seleccionar ninguna
12/07/2017 10:33 AM - Óscar Martínez

Status: Closed % Done: 0%
Priority: Normal Spent time: 0.00 hour
Assignee: Joaquín  del Cerro Murciano
Category:
Target version: 2.4.0-2846 (rev. org.gvsig.desktop-2.0.215)
Severity: Minor Add-on version:
gvSIG version: 2.4.0 Add-on build:
gvSIG build: Add-on resolve version:
Operative System: Add-on resolve build:
Keywords: Proyecto:
Has patch: Hito:
Add-on name: Unknown
Description

Para reproducirlo:
- Vista abierta
- Menu de Añadir capa
- Botón de Añadir
- Cancelamos (osea sin seleccionar ninguna capa)

Aparece un:

ERROR 278101 [AWT-EventQueue-0] (NotificationManager.java:90) - java.lang.IndexOutOfBoundsException: Index: 0, Size: 0
java.lang.IndexOutOfBoundsException: Index: 0, Size: 0
        at java.util.ArrayList.rangeCheck(Unknown Source)
...

Associated revisions
Revision 43688 - 12/13/2017 02:10 PM - Joaquín  del Cerro Murciano

refs  #4760, comprobado si habian parametros antes de acceder a ellos (en FilesystemExplorerWizardTableModel)

History
#1 - 12/11/2017 05:00 PM - Óscar Martínez

Ocurre lo mismo si tenemos ya capas en la lista, y las eliminamos todas.

#2 - 12/13/2017 02:11 PM - Joaquín  del Cerro Murciano
- Assignee set to Joaquín  del Cerro Murciano
- Status changed from New to Fixed

#3 - 01/30/2018 09:21 AM - Álvaro Anguix
- Status changed from Fixed to Closed
